- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# sprintfToken Struct Reference

`#include <header_internal.h>`

## Public Types
enum | { PTOK_NONE = 0, PTOK_TAG, PTOK_ARRAY, PTOK_STRING, PTOK_COND }
## Data Fields
enum sprintfToken:: { ... } | type
union {
struct {
sprintfToken format
int numTokens
} array
sprintfTag tag
struct {
char * string
int len
} string
struct {
sprintfToken ifFormat
int numIfTokens
sprintfToken elseFormat
int numElseTokens
sprintfTag tag
} cond
} | u

## Detailed Description

Definition at line 96 of file header_internal.h.

## Member Enumeration Documentation

anonymous enum

Enumerator:

  PTOK_NONE |
  PTOK_TAG |
  PTOK_ARRAY |
  PTOK_STRING |
  PTOK_COND |

Definition at line 97 of file header_internal.h.

## Field Documentation

enum { ... } sprintfToken::type

Referenced by parseExpression(), and singleSprintf().

sprintfToken sprintfToken::format

Definition at line 106 of file header_internal.h.

int sprintfToken::numTokens

Definition at line 107 of file header_internal.h.

struct { ... } sprintfToken::array

Referenced by freeFormat(), and singleSprintf().

struct sprintfTag sprintfToken::tag`[read]`

Definition at line 109 of file header_internal.h.

Referenced by singleSprintf().

char* sprintfToken::string

Definition at line 111 of file header_internal.h.

Referenced by singleSprintf().

int sprintfToken::len

Definition at line 112 of file header_internal.h.

struct { ... } sprintfToken::string

sprintfToken sprintfToken::ifFormat

Definition at line 115 of file header_internal.h.

int sprintfToken::numIfTokens

Definition at line 116 of file header_internal.h.

sprintfToken sprintfToken::elseFormat

Definition at line 117 of file header_internal.h.

int sprintfToken::numElseTokens

Definition at line 118 of file header_internal.h.

struct sprintfTag sprintfToken::tag`[read]`

Definition at line 119 of file header_internal.h.

struct { ... } sprintfToken::cond

Referenced by freeFormat(), parseExpression(), and singleSprintf().

union { ... } sprintfToken::u

Referenced by freeFormat(), parseExpression(), and singleSprintf().

The documentation for this struct was generated from the following file:

- lib/header_internal.h